get
https://api.genability.com/rest/public/properties//lookups
Return lookup table values for a LOOKUP Property Key.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Use this endpoint to return lookup table values for a LOOKUP Property Key.
When to use this endpoint
Use GET /rest/public/properties/{propertyKey}/lookups when you need to:
- Query values for a Property Key with
dataTypeset toLOOKUP. - Retrieve lookup values for a specific date range.
- Filter lookup values by sub-property when the Property Key has choices such as zones or nodes.
- Access values that may change frequently over time, such as market price indexes or variable rate values.
Path parameter
| Parameter | Type | Description |
|---|---|---|
propertyKey | String | Property Key name whose lookup values you want to retrieve. |
Optional filters
| Parameter | Type | Description |
|---|---|---|
subPropertyKey | String | Sub-property key name when the lookup values are divided by sub-property. |
fromDateTime | DateTime | Starting date and time for returned lookup values. |
toDateTime | DateTime | Ending date and time for returned lookup values. |
Use
fromDateTimewithtoDateTimeto avoid edge cases where an empty results array is returned. When neither value is passed, the default behavior is to return 72 hours of data entries at the lookup's cadence.
